;	BUILD TECO MAPPED
;
; TASK BUILD FILE FOR RSX-11M TECO. TO WORK IN ITS NORMAL FASHION,
; TECO SHOULD BE INSTALLED TWICE, ONCE UNDER ITS NORMAL NAME AND ONCE
; UNDER
; THE NAME "...MAK" TO IMPLEMENT THE "MAKE" COMMAND.
TECO/-FP/-CP/MM,TECO=BLD11M/MP
TASK=...TEC
PAR=GEN:0:100000
PRI=65
;
; LUN 1 IS USED FOR THE INDIRECT COMMAND FILE
; LUN 2 IS USED FOR CONSOLE I/O
; LUN 3 IS USED FOR THE OUTPUT FILE
; LUN 4 IS USED FOR THE INPUT FILE
; LUN 5 IS USED BY THE ERROR PROCESSOR
;
UNITS=5
ASG=TI:2
ASG=SY:1:3:4:5
;
; PATCH THE LUN USED BY THE ERROR PROCESSOR (GERRM)
;
GBLPAT=ERROR:.EOLUN:5
;
STACK=200
;
; TECO'S DYNAMIC MEMORY IS ALLOCATED FROM THE REGION STARTING AT THE
; END OF THE TASK IMAGE AND ENDING AT THE END OF THE PARTITION.
; IF THE DYNAMIC MEMORY FACILITY IS NOT IN USE, ASSEMBLE TECOIO WITH
; THE PARAMETER R$$DYM=0, AND USE AN EXTSCT DIRECTIVE HERE TO 
; SPECIFY THE TOTAL NO. OF BYTES IN OCTAL FOR THE DYNAMIC MEMORY REGION
; E.G.
;	EXTSCT=$$DYB1:20000	;WOULD GIVE 4K WORDS, 8K BYTES
;
; IF DYNAMIC MEMORY IS IN USE, RECOMMEND A MINIMUM TASK SIZE:
;
EXTTSK=10000
;
; THE FOLLOWING PARAMETER SETS THE SIZE OF TECO'S PUSH DOWN LIST.
; IT MAY
; BE NECESSARY TO INCREASE THIS TO ACCOMMODATE MANY LEVELS OF
; ITERATION, MACRO CALLS, ETC.
GBLDEF=PDLSIZ:100
;
; THE FOLLOWING PARAMETER SETS THE SIZE OF THE SEARCH BUFFER.
; IT MAY BE INCREASED TO ACCOMMODATE VERY LONG SEARCH STRINGS.
;
GBLDEF=SCHSIZ:100
;
; THE REMAINING SPACE IS DYNAMICALLY SHARED BETWEEN TEXT BUFFER AND
; Q REGISTER STORAGE.
; THE FOLLOWING PARAMTER DEFINES THE MINIMUM AMOUNT OF SPACE REQUIRED.
;
GBLDEF=MBFSIZ:1400
;
/
